Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App listing
  • App software
  • App version listing
  • Assets
  • Developer space
  • Migrations
  • Parent software
  • Privacy and security
  • Reporting
  • Reviews
Platform
Atlassian Marketplace / Reference / Marketplace REST API (v3)

App software

Postman Collection
OpenAPI
GET

Get app software mappings for app

Get mapping of app software id with the corresponding hosting type for the specified app.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

appKey

string

Required

Query parameters

hosting

string

complianceBoundaries

array<string>

Responses

Successfully retrieved app software information

application/json

array<AppSoftwareByAppKeyResponse>

GET/rest/3/app-software/app-key/{appKey}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/app-key/{appKey}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 [ { "appSoftwareId": "acd011b1-1111-45bc-902a-247046a11111", "hosting": "cloud", "complianceBoundaries": [ "commercial" ] }, { "appSoftwareId": "bde122c2-2222-56cd-a13b-358157b22222", "hosting": "server", "complianceBoundaries": null } ]
GET

Get app software versions

Get a list of versions of the specified app software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Query parameters

limit

integer

cursor

string

parentSoftwareId

string

parentSoftwareVersionId

integer

afterVersion

string

paymentModel

string

state

string

Responses

Successfully retrieved app software versions

application/json

AppSoftwareVersionsGetResponse
GET/rest/3/app-software/{appSoftwareId}/versions
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{appSoftwareId}/versions' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 { "links": { "self": "/rest/3/app-software/bde122c2-2222-56cd-a13b-358157b22222/versions", "next": "/rest/3/app-software/bde122c2-2222-56cd-a13b-358157b22222/versions?cursor=nextPageToken" }, "versions": [ { "buildNumber": 1001, "versionNumber": "1.0.1", "compatibilities": [ { "parentSoftwareId": "jira", "minBuildNumber": 80000, "maxBuildNumber": 90000 } ], "supportedPaymentModel": "free", "frameworkDetails": { "frameworkId": "connect", "attributes": { "descriptorId": "descriptor-123", "scopes": [ "READ", "WRITE" ], "descriptorUrl": "https://example.com/descriptor" } }, "supported": true, "beta": false, "state": "active", "revision": 1, "createdBy": "developer@example.com", "createdAt": "2023-01-15T10:30:00Z", "changelog": { "releaseSummary": "Bug fixes and performance improvements", "releaseNotes": "This version includes several bug fixes and performance optimizations" } } ], "totalCount": 1 }
POST

Create a new app software version

Creates a new version of the specified app software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Request bodyapplication/json

buildNumber

integer

versionNumber

string

compatibilities

array<AppSoftwareVersionCompatibility>

Required
supportedPaymentModel

string

Required
frameworkDetails

AppSoftwareVersionFrameworkDetails

Required
licenseType

AppSoftwareVersionLicenseType

sourceCodeLicense

SourceCodeLicense

changelog

AppSoftwareVersionChangelog

supported

boolean

Required
beta

boolean

Required

Responses

App software version created successfully

Headers

Location

string

POST/rest/3/app-software/{appSoftwareId}/versions
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{appSoftwareId}/versions' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "buildNumber": 1001, "versionNumber": "1.0.1", "compatibilities": [ { "parentSoftwareId": "jira", "minBuildNumber": 80000, "maxBuildNumber": 90000 } ], "supportedPaymentModel": "free", "frameworkDetails": { "frameworkId": "connect", "attributes": { "descriptorId": "descriptor-123", "scopes": [ "READ", "WRITE" ] } }, "licenseType": { "id": "commercial" }, "supported": true, "beta": false, "acceptedAgreements": [ { "agreementUrl": "https://developer.atlassian.com/marketplace/terms" } ], "changelog": { "releaseSummary": "Bug fixes and performance improvements", "releaseNotes": "This version includes several bug fixes and performance optimizations" } }'
GET

Get app software version by build number

Get the specified version of the specified app software by the version's build number

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required
buildNumber

integer

Required

Responses

Successfully retrieved app software version

application/json

AppSoftwareVersionGetResponse
GET/rest/3/app-software/{appSoftwareId}/versions/{buildNumber}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{appSoftwareId}/versions/{buildNumber}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 { "buildNumber": 1001, "versionNumber": "1.0.1", "compatibilities": [ { "parentSoftwareId": "jira", "minBuildNumber": 80000, "maxBuildNumber": 90000 } ], "supportedPaymentModel": "free", "frameworkDetails": { "frameworkId": "connect", "attributes": { "descriptorId": "descriptor-123", "scopes": [ "READ", "WRITE" ], "descriptorUrl": "https://example.com/descriptor" } }, "licenseType": { "id": "commercial", "name": "Commercial License", "link": "https://example.com/license" }, "supported": true, "beta": false, "state": "active", "revision": 1, "createdBy": "developer@example.com", "createdAt": "2023-01-15T10:30:00Z", "changelog": { "releaseSummary": "Bug fixes and performance improvements", "releaseNotes": "This version includes several bug fixes and performance optimizations" } }
PUT

Update app software version

Update a specific version of the app’s software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required
buildNumber

integer

Required

Request bodyapplication/json

buildNumber

integer

Required
versionNumber

string

Required
compatibilities

array<AppSoftwareVersionCompatibility>

Required
supportedPaymentModel

string

Required
frameworkDetails

AppSoftwareVersionFrameworkDetails

Required
licenseType

AppSoftwareVersionLicenseType

sourceCodeLicense

SourceCodeLicense

changelog

AppSoftwareVersionChangelog

supported

boolean

Required
beta

boolean

Required

Responses

App software version updated successfully

PUT/rest/3/app-software/{appSoftwareId}/versions/{buildNumber}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 curl --request PUT \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{appSoftwareId}/versions/{buildNumber}' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "buildNumber": 1001, "versionNumber": "1.0.2", "compatibilities": [ { "parentSoftwareId": "jira", "minBuildNumber": 80000, "maxBuildNumber": 95000 } ], "supportedPaymentModel": "free", "frameworkDetails": { "frameworkId": "connect", "attributes": { "descriptorId": "descriptor-123", "scopes": [ "READ", "WRITE", "DELETE" ] } }, "licenseType": { "id": "commercial" }, "supported": true, "beta": false, "state": "active", "revision": 2, "acceptedAgreements": [ { "agreementUrl": "https://developer.atlassian.com/marketplace/terms" } ], "changelog": { "releaseSummary": "Updated version with additional fixes", "releaseNotes": "Added new features and fixed critical bugs" } }'
GET

Get list of access tokens for app software

Get list of access tokens associated with a specified app software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Query parameters

token

string

Responses

Successfully retrieved access tokens

application/json

AccessTokenCollectionResponse
GET/rest/3/app-software/{id}/tokens
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{id}/tokens' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "tokens": [ { "token": "at_abc123xyz789", "cloudId": "cloud-123", "instance": "instance-456" }, { "token": "at_def456uvw012", "cloudId": "cloud-456", "instance": null } ] }
POST

Create access token for app software

Creates a new access token for the specified app software.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Access token created successfully

Headers

Location

string

POST/rest/3/app-software/{id}/tokens
1 2 3 curl --request POST \ --url 'https://api.atlassian.com/marketplace/rest/3/app-software/{id}/tokens' \ --user 'email@example.com:<api_token>'

Rate this page: